Parsing Error in Add Delimted Text Plugin

2006-11-03 05:17 AM - geog_rick-yahoo-com -

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 10431

Description

The Delimited Text Plugin does not recognize the eol in the text file being imported. Parsing recognizes the delimiter but does not break

lines. The import shows only one continuous line of text with delimiters correctly identified but does not break at eol.

Changing the delimiter has no affect.

History

#1 - 2006-11-03 01:02 PM - Gavin Macaulay -

What is the eol character in the file that you are trying to import? Can you attach a sample file? The delimited plugin recgonises \

 or \

\

 as an eol character.

#2 - 2006-11-09 04:22 PM - Gavin Macaulay -

The problem is that the end of line character is a CR, which qgis doesn't recognise (unix uses LF and windows CRLF, which qgis does recognise). Qgis

uses some Qt code for reading the lines, and it apparently never has supported this old Mac style eol character (and is unlikely to do so - see 

http://lists.trolltech.com/qt-interest/2006-09/msg00961.html).

I'm not familiar with Macs, but you may find a utility on your mac somewhere that will convert the file from mac eol to unix or windows eol. On my unix

computer, there's something called mac2unix that will do the job.

#3 - 2006-11-10 08:40 AM - anonymous -

Thanks,

That is exactly what I needed to know.

That resolved my problem.

Rick

#4 - 2006-11-10 10:30 AM - Gavin Macaulay -

- Resolution set to wontfix

- Status changed from Open to Closed
http://lists.trolltech.com/qt-interest/2006-09/msg00961.html


#5 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted

Files

NEXRAD_LOCATIONS1.txt 12.4 KB 2006-11-07 geog_rick-yahoo-com -
